## ros-melodic-hrpsys-tools 1.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hrpsys_tools)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rostest)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES hrpsys_tools
#  CATKIN_DEPENDS openrtm_aist openrtm_aist_python
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(hrpsys_tools
#   src/${PROJECT_NAME}/hrpsys_tools.cpp
# )

## Declare a cpp executable
# add_executable(hrpsys_tools_node src/hrpsys_tools_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(hrpsys_tools_node hrpsys_tools_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(hrpsys_tools_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS hrpsys_tools hrpsys_tools_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} PATTERN ".svn" EXCLUDE)
install(DIRECTORY scripts DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS PATTERN ".svn" EXCLUDE)


#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_hrpsys_tools.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)
install(DIRECTORY test samples DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS)
add_rostest(test/test-hrpsys-config.test)
add_rostest(test/test-pa10.test)

=== debian/changelog ===
ros-melodic-hrpsys-tools (1.4.3-1stretch) stretch; urgency=high

  * check hrpsys/rtmros from sources (#1068 <https://github.com/start-jsk/rtmros_common/issues/1068>)
    
      * increse retry of test-pa10.test to 10
      * (hrpsys_tools/test/test-pa10.test) run hrpsys_tools_config.py within unittest.TestCase
      * because we have too much https://github.com/fkanehiro/hrpsys-base/issues/905#issue-121912200 like error on meldoic/source
    
  * Try to run multiple hrpsys simulation environments (#1054 <https://github.com/start-jsk/rtmros_common/issues/1054>)
    
      * re-add omniorb_args for backward compatibility
      * change to use omniorb_args -> openrtm_args
      * support any RTCManager port num
      * allow any port number for nameserver
    
  * Contributors: Kei Okada, Yasuhiro Ishiguro

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Apr 2020 15:00:00 -0000

ros-melodic-hrpsys-tools (1.4.2-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Dec 2017 15:00:00 -0000

ros-melodic-hrpsys-tools (1.4.1-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Oct 2017 15:00:00 -0000

ros-melodic-hrpsys-tools (1.4.0-1stretch) stretch; urgency=high

  * fix code to run both Indido and Kinetic (#1025 <https://github.com/start-jsk/rtmros_common/issues/1025>)
    * hrpsys_tools/test/test-pa10.test: increase sleep time to 10
  * set USE_UNSTABLE_RTC as not all unstable rtc defiend in hrpsys_config.py, just for basic walking test, other latest development rtc is passed by arg (#1004 <https://github.com/start-jsk/rtmros_common/issues/1004>)
    * [hrpsys_ros_bridge/launch/hrpsys_ros_bridge.launch,hrpsys_ros_bridge/scripts/default_robot_ros_bridge.launch.in,hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l,hrpsys_tools/launch/hrpsys.launch] Update for ObjectTurnaroundDetector RTC. add USE_REFERENCEFORCEUDPATER and USE_OBJECTCONTACTTURNAROUNDDETECTOR.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-hrpsys-tools (1.3.3-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Feb 2017 15:00:00 -0000

ros-melodic-hrpsys-tools (1.3.2-1stretch) stretch; urgency=high

  * [refactor] remove old rosbuild files
  * [hrpsys_tools/launch/hrpsys.launch] add ReferenceForceUpdater
  * Contributors: Koyama Ryo, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 25 Apr 2016 15:00:00 -0000

ros-melodic-hrpsys-tools (1.3.1-1stretch) stretch; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.3.0-1stretch) stretch; urgency=high

  * deb release only targeting to indigo
  * bug fixes
    
      * [hrpsys_tools/samples/pa10.launch] Fix VRML path for pa10  hrpsys_tools test (hrpsys_tools/samples/pa10.launch)  #829 <https://github.com/start-jsk/rtmros_common/issues/829>
    
  * Chorenoid support (launch/hrpsys.launch )
    
      * fix hrpsys.launch because choreonoid do not need options for   periodic_rate and context_type #810 <https://github.com/start-jsk/rtmros_common/issues/810>
    add USE_CHOREONOID argument to hrpsys.launch for using choreonoid instead of hrpsys-simulator #787
  * scripts/rtmroswtf.sh updates #764 <https://githbub.com/start-jsk/rtmros_common/issues/764>
    
      * [scripts/rtmroswtf.sh] disply LD_LIBRARY_PATH too
      * [scripts/rtmroswtf.sh] rtls is now global bin
      * [scripts/rtmroswtf.sh] check all package with git status
      * [rtmroswtf] Copyrights
      * [rtmroswtf] Add printing git status
      * [rtmroswtf] Add printing pkg path
      * [rtmroswtf] Add printing rosversion
      * [rtmroswtf] Remove verbose from tar that confuses users to
        sendback which tarball
    
  * Contributors: Isaac IY Saito, Kei Okada, Shunichi Nozawa, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.14-1stretch) stretch; urgency=high

  * Add EmergencyStopper setting to hrpsys.launch
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Jun 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.13-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.12-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 26 Apr 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.11-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.10-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.9-1stretch) stretch; urgency=high

  * [hrpsys_tools/hrpsys.launch] support DEBUG_HRPSYS argument to run rtcd with gdb
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.8-1stretch) stretch; urgency=high

  * [test-*.py] test name could not contain minus? any changet to underscore (http://answers.ros.org/question/197377/rostest-not-finding-the-actual-test/)
  * (diagnosis info) Renamed a script to show respect for the great ROS ancestors.
  * (diagnosis info) Obtain package versions in a more generic way.
  * (diagnosis info) Catch error stream.
  * (diagnosis info) Variablize corba hostname and port.
  * Add a very simple tool for recording system diagnosis info.
  * Contributors: Isaac IY Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2015 15:00:00 -0000

ros-melodic-hrpsys-tools (1.2.7-1stretch) stretch; urgency=high

  * (_gen_project) : Add argument to specify highgain mode
  * (hrpsys.launch) : Support PDController setting for hrpsys.launch.
  * Contributors: Shunichi Nozawa



=== debian/control ===
Source: ros-melodic-hrpsys-tools
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-hrpsys, ros-melodic-rostest
Homepage: http://ros.org/wiki/hrpsys_tools
Standards-Version: 3.9.2

Package: ros-melodic-hrpsys-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hrpsys, ros-melodic-openrtm-tools
Description: The hrpsys_tools package
